/*
 * ConfigFileDefinitionException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * 設定ファイルの間違いにより発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ConfigFileDefinitionException extends ConfigurationRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 9100268030826961724L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ConfigFileDefinitionException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ConfigFileDefinitionException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ConfigFileDefinitionException(String msg, Exception cause) {
		super(msg, cause);
	}
}
